[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TToolBar.CreateWnd

Performs actions needed when the Handle for the control is created.

## Declaration

Source position: comctrls.pp line 2342

`protected procedure TToolBar.CreateWnd; override;`

## Description

Disables auto-sizing on entry, and re-enables auto-sizing prior to exiting from the method.

Calls the inherited method to update creation parameters and flags, and to initialize the window handle for the control. Calls UpdateVisibleToolbar to size and align the buttons and controls on the tool bar.

## See also

TWinControl.CreateWnd |  | Creates the interface object (widget) and assigns the value in Handle.